<?php
// 人生倒计时
function countdown_scripts() {
	wp_enqueue_style( 'countdown', get_template_directory_uri() . '/css/countdown.css', array(), version );
	wp_register_script( 'timeinfo', get_template_directory_uri() . '/js/timeinfo.js', array(), version, false );
}
add_action( 'wp_head', 'countdown_scripts' );
class be_countdown_widget extends WP_Widget {
	public function __construct() {
		$widget_ops = array(
			'classname'   => 'be_countdown_widget',
			'description' => __( '人生倒计时' ),
			'customize_selective_refresh' => true,
		);
		parent::__construct( 'be_countdown_widget', '人生倒计时', $widget_ops );
	}

	public function zm_defaults() {
		return array(
			'show_linear'    => 1,
			'title_z'      => '',
			'show_icon'    => '',
			'show_svg'     => '',
			'title'        => '人生倒计时',
		);
	}

	function widget( $args, $instance ) {
		extract( $args );
		$title_w = title_i_w();
		$defaults = $this -> zm_defaults();
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		$title = apply_filters( 'widget_title', $instance['title'] );
		echo $before_widget;
		if ( ! empty( $title ) )
		echo $before_title . $title_w . $title . $after_title;
		wp_enqueue_script( 'timeinfo' );
?>

<div class="countdown-widge">
	<?php if( $instance['show_icon'] ) { ?>
		<h3 class="widget-title-cat-icon cat-w-icon da"><i class="t-icon <?php echo $instance['show_icon']; ?>"></i><?php echo $instance['title_z']; ?></h3>
	<?php } ?>
	<?php if( $instance['show_svg'] ) { ?>
		<h3 class="widget-title-cat-icon cat-w-icon da"><svg class="t-svg icon" aria-hidden="true"><use xlink:href="#<?php echo $instance['show_svg']; ?>"></use></svg><?php echo $instance['title_z']; ?></h3>
	<?php } ?>
	<div class="aside countdown-count<?php if( $instance['show_linear'] ) { ?> countdown-linear<?php } ?>">
		<div class="countdown">
			<div class="item" id="dayProgress">
				<div class="title">今日已经过去<span></span>小时</div>
				<div class="progress">
					<div class="progress-bar">
						<div class="progress-inner progress-inner-1"></div>
					</div>
					<div class="progress-percentage"></div>
				</div>
			</div>
			<div class="item" id="weekProgress">
				<div class="title">这周已经过去<span></span>天</div>
				<div class="progress">
					<div class="progress-bar">
						<div class="progress-inner progress-inner-2"></div>
					</div>
					<div class="progress-percentage"></div>
				</div>
			</div>
			<div class="item" id="monthProgress">
				<div class="title">本月已经过去<span></span>天</div>
				<div class="progress">
					<div class="progress-bar">
						<div class="progress-inner progress-inner-3"></div>
					</div>
					<div class="progress-percentage"></div>
				</div>
			</div>
			<div class="item" id="yearProgress">
				<div class="title">今年已经过去<span></span>个月</div>
				<div class="progress">
					<div class="progress-bar">
						<div class="progress-inner progress-inner-4"></div>
					</div>
					<div class="progress-percentage"></div>
				</div>
			</div>
		</div>
	</div>
	<div class="clear"></div>
</div>

<?php
	echo $after_widget;
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance = array();
		$instance['show_linear'] = !empty($new_instance['show_linear']) ? 1 : 0;
		$instance['title_z'] = strip_tags( $new_instance['title_z'] );
		$instance['show_icon'] = strip_tags( $new_instance['show_icon'] );
		$instance['show_svg'] = strip_tags( $new_instance['show_svg'] );
		$instance['title'] = strip_tags( $new_instance['title'] );
		return $instance;
	}

	function form( $instance ) {
		$defaults = $this -> zm_defaults();
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = '人生倒计时';
		}
		global $wpdb;
?>
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>">标题：</label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" />
	</p>
	<p>
		<label for="<?php echo $this->get_field_id( 'title_z' ); ?>">图标标题：</label>
		<input class="widefat" id="<?php echo $this->get_field_id('title_z'); ?>" name="<?php echo $this->get_field_name( 'title_z' ); ?>" type="text" value="<?php echo $instance['title_z']; ?>" />
	</p>
	<p>
		<label for="<?php echo $this->get_field_id( 'show_icon' ); ?>">单色图标代码：</label>
		<input class="widefat" id="<?php echo $this->get_field_id('show_icon'); ?>" name="<?php echo $this->get_field_name( 'show_icon' ); ?>" type="text" value="<?php echo $instance['show_icon']; ?>" />
	</p>
	<p>
		<label for="<?php echo $this->get_field_id( 'show_svg' ); ?>">彩色图标代码：</label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'show_svg' ); ?>" name="<?php echo $this->get_field_name( 'show_svg' ); ?>" type="text" value="<?php echo $instance['show_svg']; ?>" />
	</p>
	<p>
		<input type="checkbox" class="checkbox" id="<?php echo esc_attr( $this->get_field_id('show_linear') ); ?>" name="<?php echo esc_attr( $this->get_field_name('show_linear') ); ?>" <?php checked( (bool) $instance["show_linear"], true ); ?>>
		<label for="<?php echo esc_attr( $this->get_field_id('show_linear') ); ?>">显示动画</label>
	</p>
	<input type="hidden" id="<?php echo $this->get_field_id( 'submit' ); ?>" name="<?php echo $this->get_field_name( 'submit' ); ?>" value="1" />
<?php }
}

add_action( 'widgets_init', 'be_countdown_widget_init' );
function be_countdown_widget_init() {
	register_widget( 'be_countdown_widget' );
}